org.jbpm.kie.services.impl.model

## Class ProcessAssetDesc

- java.lang.Object
- - org.jbpm.kie.services.impl.model.ProcessAssetDesc

- All Implemented Interfaces:
    Serializable, DeployedAsset, ProcessDefinition

      public class ProcessAssetDesc
      extends Object
      implements ProcessDefinition

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProcessAssetDesc()`
    `ProcessAssetDesc(String id, String name, String version, String packageName, String type, String knowledgeType, String namespace, String deploymentId)`
    `ProcessAssetDesc(String id, String name, String version, String packageName, String type, String knowledgeType, String namespace, String deploymentId, boolean dynamic)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addForm(String id, String formContent)`
    `void` | `addTagsForVariable(String varName, Set<String> tags)`
    `ProcessAssetDesc` | `copy()`
    `boolean` | `equals(Object obj)`
    `Map<String,Collection<String>>` | `getAssociatedEntities()` Returns process definition assoaciated entries.
    `String` | `getDeploymentId()` Return the process definition deployment id.
    `String` | `getEncodedProcessSource()`
    `Map<String,String>` | `getForms()`
    `Collection<String>` | `getGlobals()` Returns process definition globals.
    `String` | `getId()` Return the process definition id.
    `String` | `getKnowledgeType()` Returns the deployed asset knowledge type.
    `Collection<MessageDesc>` | `getMessagesDesc()` Returns process definition signals.
    `String` | `getName()` Return the process definition name.
    `String` | `getNamespace()`
    `Set<NodeDesc>` | `getNodes()` Returns process definition nodes.
    `String` | `getOriginalPath()` Returns the deployed asset original path.
    `String` | `getPackageName()` Return the process definition package name.
    `Map<String,String>` | `getProcessVariables()` Returns process definition process variables.
    `Collection<String>` | `getReferencedRules()` Returns process definition referenced rules.
    `Collection<String>` | `getReusableSubProcesses()` Returns process definition reusable subprocesses.
    `List<String>` | `getRoles()`
    `Map<String,String>` | `getServiceTasks()` Returns process definition service tasks
    `Collection<String>` | `getSignals()` Returns process definition signals names.
    `Collection<SignalDesc>` | `getSignalsDesc()` Returns process definition signals.
    `Set<String>` | `getTagsForVariable(String varName)` Return the list of tags for certain process variable
    `Map<String,Set<String>>` | `getTagsInfo()` Return the list of tags
    `Set<TimerDesc>` | `getTimers()` Returns process definition timers.
    `String` | `getType()` Return the process definition type.
    `String` | `getVersion()` Return the process definition version.
    `int` | `hashCode()`
    `boolean` | `isActive()` Returns if process definition is active.
    `boolean` | `isDynamic()` Return if process definition is dynamic.
    `void` | `setActive(boolean active)`
    `void` | `setAssociatedEntities(Map<String,Collection<String>> associatedEntities)`
    `void` | `setDeploymentId(String deploymentId)`
    `void` | `setEncodedProcessSource(String processString)`
    `void` | `setForms(Map<String,String> forms)`
    `void` | `setGlobals(Collection<String> globals)`
    `void` | `setId(String id)`
    `void` | `setMessagesDesc(Collection<MessageDesc> messagesDesc)`
    `void` | `setName(String name)`
    `void` | `setNodes(Set<NodeDesc> nodes)`
    `void` | `setOriginalPath(String originalPath)`
    `void` | `setPackageName(String packageName)`
    `void` | `setProcessVariables(Map<String,String> processVariables)`
    `void` | `setReferencedRules(Collection<String> rules)`
    `void` | `setReusableSubProcesses(Collection<String> reusableSubProcesses)`
    `void` | `setRoles(List<String> roles)`
    `void` | `setServiceTasks(Map<String,String> serviceTasks)`
    `void` | `setSignals(Collection<String> signals)`
    `void` | `setSignalsDesc(Collection<SignalDesc> signalsDesc)`
    `void` | `setTimers(Set<TimerDesc> timers)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ProcessAssetDesc

          public ProcessAssetDesc()

    - #### ProcessAssetDesc

          public ProcessAssetDesc(String id,
                                  String name,
                                  String version,
                                  String packageName,
                                  String type,
                                  String knowledgeType,
                                  String namespace,
                                  String deploymentId)

    - #### ProcessAssetDesc

          public ProcessAssetDesc(String id,
                                  String name,
                                  String version,
                                  String packageName,
                                  String type,
                                  String knowledgeType,
                                  String namespace,
                                  String deploymentId,
                                  boolean dynamic)

  - ### Method Detail

    - #### getId

          public String getId()

      Description copied from interface: `ProcessDefinition`
      Return the process definition id.
      Specified by:
        `getId` in interface `DeployedAsset`
      Specified by:
        `getId` in interface `ProcessDefinition`
      Returns:
        id

    - #### setId

          public void setId(String id)

    - #### getName

          public String getName()

      Description copied from interface: `ProcessDefinition`
      Return the process definition name.
      Specified by:
        `getName` in interface `DeployedAsset`
      Specified by:
        `getName` in interface `ProcessDefinition`
      Returns:
        name

    - #### setName

          public void setName(String name)

    - #### getVersion

          public String getVersion()

      Description copied from interface: `ProcessDefinition`
      Return the process definition version.
      Specified by:
        `getVersion` in interface `DeployedAsset`
      Specified by:
        `getVersion` in interface `ProcessDefinition`
      Returns:
        version

    - #### getKnowledgeType

          public String getKnowledgeType()

      Description copied from interface: `DeployedAsset`
      Returns the deployed asset knowledge type.
      Specified by:
        `getKnowledgeType` in interface `DeployedAsset`
      Returns:
        knowledge type

    - #### getOriginalPath

          public String getOriginalPath()

      Description copied from interface: `DeployedAsset`
      Returns the deployed asset original path.
      Specified by:
        `getOriginalPath` in interface `DeployedAsset`
      Returns:
        path

    - #### setOriginalPath

          public void setOriginalPath(String originalPath)

    - #### getPackageName

          public String getPackageName()

      Description copied from interface: `ProcessDefinition`
      Return the process definition package name.
      Specified by:
        `getPackageName` in interface `ProcessDefinition`
      Returns:
        package nem

    - #### setPackageName

          public void setPackageName(String packageName)

    - #### getType

          public String getType()

      Description copied from interface: `ProcessDefinition`
      Return the process definition type.
      Specified by:
        `getType` in interface `ProcessDefinition`
      Returns:
        type

    - #### getDeploymentId

          public String getDeploymentId()

      Description copied from interface: `ProcessDefinition`
      Return the process definition deployment id.
      Specified by:
        `getDeploymentId` in interface `ProcessDefinition`
      Returns:
        deployment id

    - #### setDeploymentId

          public void setDeploymentId(String deploymentId)

    - #### getAssociatedEntities

          public Map<String,Collection<String>> getAssociatedEntities()

      Description copied from interface: `ProcessDefinition`
      Returns process definition assoaciated entries.
      Specified by:
        `getAssociatedEntities` in interface `ProcessDefinition`
      Returns:
        associated entries

    - #### setAssociatedEntities

          public void setAssociatedEntities(Map<String,Collection<String>> associatedEntities)

    - #### getServiceTasks

          public Map<String,String> getServiceTasks()

      Description copied from interface: `ProcessDefinition`
      Returns process definition service tasks
      Specified by:
        `getServiceTasks` in interface `ProcessDefinition`
      Returns:
        service tasks

    - #### setServiceTasks

          public void setServiceTasks(Map<String,String> serviceTasks)

    - #### getProcessVariables

          public Map<String,String> getProcessVariables()

      Description copied from interface: `ProcessDefinition`
      Returns process definition process variables.
      Specified by:
        `getProcessVariables` in interface `ProcessDefinition`
      Returns:
        process variables

    - #### setProcessVariables

          public void setProcessVariables(Map<String,String> processVariables)

    - #### getReusableSubProcesses

          public Collection<String> getReusableSubProcesses()

      Description copied from interface: `ProcessDefinition`
      Returns process definition reusable subprocesses.
      Specified by:
        `getReusableSubProcesses` in interface `ProcessDefinition`
      Returns:
        reusable subprocesses

    - #### setReusableSubProcesses

          public void setReusableSubProcesses(Collection<String> reusableSubProcesses)

    - #### getSignals

          public Collection<String> getSignals()

      Description copied from interface: `ProcessDefinition`
      Returns process definition signals names.
      Specified by:
        `getSignals` in interface `ProcessDefinition`
      Returns:
        id of the signals defined in the process

    - #### setSignals

          public void setSignals(Collection<String> signals)

    - #### getSignalsDesc

          public Collection<SignalDesc> getSignalsDesc()

      Description copied from interface: `ProcessDefinition`
      Returns process definition signals.
      Specified by:
        `getSignalsDesc` in interface `ProcessDefinition`
      Returns:
        information about the signals

    - #### getMessagesDesc

          public Collection<MessageDesc> getMessagesDesc()

      Description copied from interface: `ProcessDefinition`
      Returns process definition signals.
      Specified by:
        `getMessagesDesc` in interface `ProcessDefinition`
      Returns:
        information about the signals

    - #### setSignalsDesc

          public void setSignalsDesc(Collection<SignalDesc> signalsDesc)

    - #### setMessagesDesc

          public void setMessagesDesc(Collection<MessageDesc> messagesDesc)

    - #### getGlobals

          public Collection<String> getGlobals()

      Description copied from interface: `ProcessDefinition`
      Returns process definition globals.
      Specified by:
        `getGlobals` in interface `ProcessDefinition`
      Returns:
        globals

    - #### setGlobals

          public void setGlobals(Collection<String> globals)

    - #### getReferencedRules

          public Collection<String> getReferencedRules()

      Description copied from interface: `ProcessDefinition`
      Returns process definition referenced rules.
      Specified by:
        `getReferencedRules` in interface `ProcessDefinition`
      Returns:
        referenced rules

    - #### setReferencedRules

          public void setReferencedRules(Collection<String> rules)

    - #### getNamespace

          public String getNamespace()

    - #### getEncodedProcessSource

          public String getEncodedProcessSource()

    - #### setEncodedProcessSource

          public void setEncodedProcessSource(String processString)

    - #### getForms

          public Map<String,String> getForms()

    - #### setForms

          public void setForms(Map<String,String> forms)

    - #### addForm

          public void addForm(String id,
                              String formContent)

    - #### getRoles

          public List<String> getRoles()

    - #### setRoles

          public void setRoles(List<String> roles)

    - #### isActive

          public boolean isActive()

      Description copied from interface: `ProcessDefinition`
      Returns if process definition is active.
      Specified by:
        `isActive` in interface `ProcessDefinition`
      Returns:
        signals

    - #### setActive

          public void setActive(boolean active)

    - #### isDynamic

          public boolean isDynamic()

      Description copied from interface: `ProcessDefinition`
      Return if process definition is dynamic.
      Specified by:
        `isDynamic` in interface `ProcessDefinition`
      Returns:
        dynamic

    - #### setNodes

          public void setNodes(Set<NodeDesc> nodes)

    - #### getNodes

          public Set<NodeDesc> getNodes()

      Description copied from interface: `ProcessDefinition`
      Returns process definition nodes.
      Specified by:
        `getNodes` in interface `ProcessDefinition`
      Returns:
        @`NodeDesc` nodes

    - #### setTimers

          public void setTimers(Set<TimerDesc> timers)

    - #### getTimers

          public Set<TimerDesc> getTimers()

      Description copied from interface: `ProcessDefinition`
      Returns process definition timers.
      Specified by:
        `getTimers` in interface `ProcessDefinition`
      Returns:
        @`TimerDesc` timers

    - #### addTagsForVariable

          public void addTagsForVariable(String varName,
                                         Set<String> tags)

    - #### getTagsForVariable

          public Set<String> getTagsForVariable(String varName)

      Description copied from interface: `ProcessDefinition`
      Return the list of tags for certain process variable
      Specified by:
        `getTagsForVariable` in interface `ProcessDefinition`
      Returns:
        tags names

    - #### getTagsInfo

          public Map<String,Set<String>> getTagsInfo()

      Description copied from interface: `ProcessDefinition`
      Return the list of tags
      Specified by:
        `getTagsInfo` in interface `ProcessDefinition`
      Returns:
        tags names with variable name

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### copy

          public ProcessAssetDesc copy()

Copyright © 2001–2021 JBoss by Red Hat. All rights reserved.